.gif animation corrupted only at 220px
Closed, DeclinedPublic

Description

Author: M8R-udfkkf

Description:
The following animation at commons appears to be corrupted when rendered at 220px, but works fine at other size.

http://en.wikipedia.org/wiki/File:Rabatment-rectangle-animation.gif

You can see the corrupted image at
http://en.wikipedia.org/wiki/Rabatment_of_the_rectangle#Practice

@
http://upload.wikimedia.org/wikipedia/commons/thumb/d/da/Rabatment-rectangle-animation.gif/220px-Rabatment-rectangle-animation.gif

Is there a reason why the 220px size would corrupt the animation?

See also:
http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Gif_black_squares_in_transparency


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz27859.
bzimport created this task.Via LegacyMar 5 2011, 12:26 AM
Bawolff added a comment.Via ConduitMar 5 2011, 5:34 AM

There was probably something wrong with the image scalar at some point the first time someone wanted that gif at that size. It was then saved for later use.

I'm not sure if its possible for an end user to purge a thumb, as a work around, you could probably use it at size 219px or 221px.

putting in component wikimedia, as doesn't seem mediawiki specific.

bzimport added a comment.Via ConduitMar 5 2011, 10:30 PM

M8R-udfkkf wrote:

The corrupted 220px animation

Attached:

bzimport added a comment.Via ConduitMar 5 2011, 10:31 PM

M8R-udfkkf wrote:

The original non-corrupted image.

Attached:

bzimport added a comment.Via ConduitMar 5 2011, 10:32 PM

M8R-udfkkf wrote:

@Bawolff...could you expand on what went wrong? (some technical details would be nice).

Bawolff added a comment.Via ConduitMar 6 2011, 1:29 AM

(In reply to comment #4)

@Bawolff...could you expand on what went wrong? (some technical details would
be nice).

I don't actually know what happened, other then something happened, and it doesn't appear to be happening any longer.

MarkAHershberger added a comment.Via ConduitApr 21 2011, 8:06 PM

Resolving this, since it doesn't appear to be happening now and I can't reproduce it. Please reopen if you can reproduce.

MarkAHershberger added a comment.Via ConduitApr 21 2011, 8:14 PM

See also Bug #28631 for one that currently happens.

Bawolff added a comment.Via ConduitOct 18 2011, 1:02 PM

re-resolving worksforme

That's just a cached thumbnail. ?action=purge'ing (which deletes cached thumbnails) fixed it.

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:27 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:22 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.